Bug 115451 - Category change request: chinese/CJK
Summary: Category change request: chinese/CJK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-13 06:40 UTC by Koji Yokota
Modified: 2007-08-19 04:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koji Yokota 2007-08-13 06:40:01 UTC
chinese/CJK is a latex package which handles not only Chinese but also Japanese and Korean. As many users don't fetch "localized" port tree and there are non-CJK users who use this package, it'd be better put under a non-localized tree, e.g. print. It is especially true when the package is required by other ports (at least, the next release of print/lyx will require this). Also, following the custom, shouldn't it be called latex-CJK?
Comment 1 Edwin Groothuis freebsd_committer 2007-08-13 06:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Over to maintainer
Comment 2 Rong-En Fan freebsd_committer 2007-08-15 02:27:57 UTC
State Changed
From-To: open->repocopy

Please copy chinese/CJK -> print/latex-cjk for better category. 


Comment 3 Rong-En Fan freebsd_committer 2007-08-15 02:27:57 UTC
Responsible Changed
From-To: rafan->portmgr

Please copy chinese/CJK -> print/latex-cjk for better category.
Comment 4 Joe Marcus Clarke freebsd_committer 2007-08-18 07:17:04 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2007-08-18 07:17:04 UTC
Responsible Changed
From-To: portmgr->rafan

Repocopy complete.
Comment 6 dfilter service freebsd_committer 2007-08-18 11:02:13 UTC
rafan       2007-08-18 10:02:06 UTC

  FreeBSD ports repository

  Modified files:
    print/latex-cjk      Makefile distinfo pkg-deinstall pkg-descr 
                         pkg-install pkg-plist 
    print/latex-cjk/files patch-Makefile 
                          patch-texinput-Bg5-c00bsmi.fd 
                          patch-texinput-GB-c10gbsn.fd 
                          patch-texinput-GBBg5-fdfiles 
                          patch-texinput-GBBg5-type1fdfiles 
                          patch-texinput-UTF8-arphicfdfiles 
                          patch-utils-Makefiles pkg-message.in 
    print/latex-cjk/scripts fddiff.sh installt1enc.sh 
                            installtfm.sh pre-build 
  Log:
  - Force commit to note this port is copied from chinese/CJK for better
    category.
  
  PR:             ports/115451
  Submitted by:   Koji Yokota <yokota at res.otaru-uc.ac.jp>
  Recopied by:    marcus
  Discussed with: Intron <intron at intron.ac>
  
  Revision  Changes    Path
  1.44      +0 -0      ports/print/latex-cjk/Makefile
  1.15      +0 -0      ports/print/latex-cjk/distinfo
  1.2       +0 -0      ports/print/latex-cjk/files/patch-Makefile
  1.3       +0 -0      ports/print/latex-cjk/files/patch-texinput-Bg5-c00bsmi.fd
  1.2       +0 -0      ports/print/latex-cjk/files/patch-texinput-GB-c10gbsn.fd
  1.2       +0 -0      ports/print/latex-cjk/files/patch-texinput-GBBg5-fdfiles
  1.2       +0 -0      ports/print/latex-cjk/files/patch-texinput-GBBg5-type1fdfiles
  1.2       +0 -0      ports/print/latex-cjk/files/patch-texinput-UTF8-arphicfdfiles
  1.2       +0 -0      ports/print/latex-cjk/files/patch-utils-Makefiles
  1.2       +0 -0      ports/print/latex-cjk/files/pkg-message.in
  1.4       +0 -0      ports/print/latex-cjk/pkg-deinstall
  1.8       +0 -0      ports/print/latex-cjk/pkg-descr
  1.2       +0 -0      ports/print/latex-cjk/pkg-install
  1.21      +0 -0      ports/print/latex-cjk/pkg-plist
  1.2       +0 -0      ports/print/latex-cjk/scripts/fddiff.sh
  1.2       +0 -0      ports/print/latex-cjk/scripts/installt1enc.sh
  1.2       +0 -0      ports/print/latex-cjk/scripts/installtfm.sh
  1.7       +0 -0      ports/print/latex-cjk/scripts/pre-build
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2007-08-19 04:36:30 UTC
rafan       2007-08-19 03:36:23 UTC

  FreeBSD ports repository

  Modified files:
    print/latex-cjk      Makefile 
  Log:
  - Finish move chinese/CJK to print/latex-cjk
  
  PR:             ports/115451
  Submitted by:   Koji Yokota <yokota at res.otaru-uc.ac.jp>
  
  Revision  Changes    Path
  1.45      +2 -2      ports/print/latex-cjk/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2007-08-19 04:39:33 UTC
rafan       2007-08-19 03:39:30 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    chinese              Makefile 
  Removed files:
    chinese/CJK          Makefile distinfo pkg-deinstall pkg-descr 
                         pkg-install pkg-plist 
    chinese/CJK/files    patch-Makefile 
                         patch-texinput-Bg5-c00bsmi.fd 
                         patch-texinput-GB-c10gbsn.fd 
                         patch-texinput-GBBg5-fdfiles 
                         patch-texinput-GBBg5-type1fdfiles 
                         patch-texinput-UTF8-arphicfdfiles 
                         patch-utils-Makefiles 
    chinese/CJK/scripts  fddiff.sh installt1enc.sh installtfm.sh 
                         pre-build 
  Log:
  - Finish move chinese/CJK to print/latex-cjk
  
  PR:             115451
  Submitted by:   Koji Yokota <yokota at res.otaru-uc.ac.jp>
  
  Revision  Changes    Path
  1.1459    +2 -1      ports/MOVED
  1.44      +0 -144    ports/chinese/CJK/Makefile (dead)
  1.15      +0 -6      ports/chinese/CJK/distinfo (dead)
  1.2       +0 -27     ports/chinese/CJK/files/patch-Makefile (dead)
  1.3       +0 -16     ports/chinese/CJK/files/patch-texinput-Bg5-c00bsmi.fd (dead)
  1.2       +0 -16     ports/chinese/CJK/files/patch-texinput-GB-c10gbsn.fd (dead)
  1.2       +0 -78     ports/chinese/CJK/files/patch-texinput-GBBg5-fdfiles (dead)
  1.2       +0 -72     ports/chinese/CJK/files/patch-texinput-GBBg5-type1fdfiles (dead)
  1.2       +0 -72     ports/chinese/CJK/files/patch-texinput-UTF8-arphicfdfiles (dead)
  1.2       +0 -165    ports/chinese/CJK/files/patch-utils-Makefiles (dead)
  1.4       +0 -28     ports/chinese/CJK/pkg-deinstall (dead)
  1.8       +0 -22     ports/chinese/CJK/pkg-descr (dead)
  1.2       +0 -127    ports/chinese/CJK/pkg-install (dead)
  1.21      +0 -2445   ports/chinese/CJK/pkg-plist (dead)
  1.2       +0 -64     ports/chinese/CJK/scripts/fddiff.sh (dead)
  1.2       +0 -102    ports/chinese/CJK/scripts/installt1enc.sh (dead)
  1.2       +0 -23     ports/chinese/CJK/scripts/installtfm.sh (dead)
  1.7       +0 -19     ports/chinese/CJK/scripts/pre-build (dead)
  1.258     +0 -1      ports/chinese/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Rong-En Fan freebsd_committer 2007-08-19 04:40:00 UTC
State Changed
From-To: open->closed

ports moved. thanks.